Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - ServerInfo

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Server Info

Server build info, SaaS info, and tier limits.

Hide tier downgrade message

Call this endpoint, to clear the showTierDowngradeMessage flag obtained in /saasInfo

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Redirect to admin portal (POST)

Redirect to admin-portal url of the specified tenant.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Redirect to admin portal

Redirect to admin-portal url of the specified tenant.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Redirect to admin portal (POST)

Redirect to admin-portal url of the specified tenant.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get tier limits

For all entites that may be limited, get the current amount and the limit for the current tier.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
apiCount
required
integer <int32>

Current number of APIs in this tenant.

devPortalCount
required
integer <int32>

Current number of developer portals in this tenant.

apiLimit
integer <int32>

Maximum number of APIs allowed by the tier, or null if unlimited.

devPortalLimit
integer <int32>

Maximum number of developer portals allowed by the tier, or null if unlimited.

Response samples

Content type
application/json
{
  • "apiLimit": 0,
  • "apiCount": 0,
  • "devPortalLimit": 0,
  • "devPortalCount": 0
}

Get server info

Get general server info (currently just build information).

Responses

Response Schema: application/json
buildTime
required
string <date-time>

Timestamp when the application was built.

commit
required
string

Git commit SHA of the build.

version
required
string

Application version string.

Response samples

Content type
application/json
{
  • "version": "string",
  • "commit": "string",
  • "buildTime": "2019-08-24T14:15:22Z"
}

Get SaaS info

Get SaaS related information for current tenant. Not relevant in on-prem mode.

Responses

Response Schema: application/json
required
object (EnterpriseSettings)

Custom enterprise pricing and limits, if applicable.

isSaaS
required
boolean

SaaS-hosted vs. on-premises.

linkedWithBoomi
required
boolean

Linked to Boomi Platform.

linkedWithCAM
required
boolean

Linked to Cloud API Management.

showTierDowngradeMessage
required
boolean

Whether to show a tier downgrade warning to the user.

tenantId
required
string

Unique identifier of the tenant.

required
object (TierInfo)

Current subscription tier and package counts.

object (TierInfo)

Pending tier change.

updateTierAt
string <date>

When pending change takes effect.

Response samples

Content type
application/json
{
  • "tenantId": "string",
  • "isSaaS": false,
  • "tierInfo": {
    • "tier": "FREE",
    • "smallPackages": 0,
    • "largePackages": 0,
    • "enabled": true,
    • "trial": true
    },
  • "updateTierInfo": {
    • "tier": "FREE",
    • "smallPackages": 0,
    • "largePackages": 0,
    • "enabled": true,
    • "trial": true
    },
  • "updateTierAt": "2019-08-24",
  • "showTierDowngradeMessage": false,
  • "enterpriseSettings": {
    • "price": 0.1,
    • "apiLimit": 0,
    • "applicationLimit": 0,
    • "devPortalLimit": 0
    },
  • "linkedWithBoomi": true,
  • "linkedWithCAM": true
}